<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('home_pages', function (Blueprint $table) {
            $table->id();
            $table->string('first_header_image')->nullable();
            $table->string('seconed_header_image')->nullable();
            $table->string('header_title')->nullable();
            $table->string('header_sub_title')->nullable();

            $table->string('title')->nullable();
            $table->string('description')->nullable();
            $table->string('link')->nullable();
            $table->string('banner')->nullable();
            $table->string('title_under_banner')->nullable();
            $table->string('description_under_banner')->nullable();

            $table->string('title_solutions_section')->nullable();
            $table->string('description_solutions_section')->nullable();

            $table->string('reduce_costs')->nullable();
            $table->string('value_reduce_costs')->nullable();
            $table->string('enhance_security')->nullable();
            $table->string('value_enhance_security')->nullable();
            $table->string('community_users')->nullable();
            $table->string('value_community_users')->nullable();
            $table->string('accelerate_growth')->nullable();
            $table->string('value_accelerate_growth')->nullable();

            $table->string('title_portfolio')->nullable();
            $table->string('description_portfolio')->nullable();

            $table->string('title_question')->nullable();
            $table->string('description_question')->nullable();

            $table->string('title_testimonials')->nullable();
            $table->string('description_testimonials')->nullable();

            $table->string('title_insights')->nullable();
            $table->string('description_insights')->nullable();

            $table->string('title_schedule')->nullable();
            $table->string('description_schedule')->nullable();

            $table->string('meta_title')->nullable();
            $table->string('meta_description')->nullable();
            $table->string('meta_keyword')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('home_pages');
    }
};
